create or replace view HotelMonthlyReport as
select	hname as hotel,
	city,
	to_char(dateFrom, 'YYYY') as year,
	rtrim(to_char(datefrom, 'MONTH')) as month,
	sum ( (dateto - datefrom) * price ) as Total
from hotel h, room r, book v
where h.hno = r.hno and r.hno = v.hno and r.rno = v.rno
group by hname, city, to_char(datefrom, 'YYYY'), to_char(datefrom, 'MONTH')
