-- List guests who have stayed in each of every hotels
-- in Las Vegas.

select		unique g.*
from		guest	g
where		not exists (
    		    select * from hotel h
		    where h.city = 'Las Vegas'
		      and not exists (
			      select * from book b
			      where b.gNo = g.gNo and b.hNo = h.hNo
			)
		    )
/
